2013-04-15  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* nfoview/preferences.py:

	RELEASE 1.12.1

2013-04-13  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/preferences.py: Fix comment, Gtk.ColorButton, not Gdk.RGBA.

2013-04-13  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* nfoview/preferences.py:

	Work around a Gdk.RGBA.get_rgba introspection bug.

2013-04-08  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.12

2013-04-07  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* nfoview/window.py:

	Fix window size calculations.

2013-04-07  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/view.py: Use 'foreground_rgba' if available.

2013-04-07  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Adapt to new color theme names.

2013-04-07  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/about.py:
	* nfoview/i18n.py:
	* nfoview/main.py:
	* nfoview/test/test_main.py:

	Move gettext initialization to main and handle errors.

2013-01-22  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO: Update TODO.

2012-12-02  Osmo Salomaa  <otsaloma@iki.fi>

	* tools/check-translations:
	* tools/generate-change-log:

	Use '/usr/bin/env python3' for tools.

2012-11-04  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:

	RELEASE 1.11

2012-11-04  Osmo Salomaa  <otsaloma@iki.fi>

	* setup.py: Add build directory to clean targets.

2012-11-04  Osmo Salomaa  <otsaloma@iki.fi>

	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/he.po:
	* po/hu.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/tr.po:
	* po/zh_CN.po:

	Update translations for 1.11.

2012-11-03  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* doc/RELEASING:
	* nfoview/util.py:
	* nfoview/view.py:

	Show widgets before acquiring a style context.

	This fixes a crash with newer versions of PyGObject and/or GTK+. Note
	that the helper widgets are not actually shown on screen, since they
	don't have a parent window, but calling 'show' finalizes something that
	allows one to get a style context.

	https://bugzilla.gnome.org/show_bug.cgi?id=687513

	Also, use Python attributes instead of 'get_data' and 'set_data', which
	are deprecated.

2012-09-26  Osmo Salomaa  <otsaloma@iki.fi>

	* tools/generate-change-log: Remove re.UNICODE flag, since it's
	redundant in Python 3.

2012-09-20  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/builder.py: Fix docstring.

2012-09-16  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/conf.py: Remove '_' from API documentation.

2012-09-16  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/conf.py: Include '_' in API documentation.

2012-09-15  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/_ext/autoclean.py:
	* doc/sphinx/autogen.py:
	* nfoview/__init__.py:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/deco.py:
	* nfoview/errors.py:
	* nfoview/i18n.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/__init__.py:
	* nfoview/test/test___init__.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_actions.py:
	* nfoview/test/test_builder.py:
	* nfoview/test/test_config.py:
	* nfoview/test/test_deco.py:
	* nfoview/test/test_errors.py:
	* nfoview/test/test_i18n.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_paths.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_schemes.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:
	* nfoview/test/test_window.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	* setup.py:
	* tools/update-translations:

	Drop -unix from coding declarations in Python files.

	It seems xgettext tries to use the damn coding declaration, but doesn't
	recognize utf-8-unix and falls back to ascii.

2012-09-11  Osmo Salomaa  <otsaloma@iki.fi>

	* .gitignore: Update .gitignore.

2012-09-09  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* doc/RELEASING:
	* setup.py:

	Release source tarballs only as tar.xz.

2012-09-03  Osmo Salomaa  <otsaloma@iki.fi>

	* setup.py: Simplify clean patterns for compiled Python code.

2012-09-03  Osmo Salomaa  <otsaloma@iki.fi>

	* setup.py: Check that __name__ equals "__main__".

2012-07-27  Osmo Salomaa  <otsaloma@iki.fi>

	* data/preferences-dialog.ui: Migrate from Gtk.HBox and Gtk.VBox to
	Gtk.Box.

2012-07-24  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO: Update TODO.

2012-07-24  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* doc/RELEASING:
	* nfoview/view.py:
	* nfoview/window.py:

	Use Pythonic constructors with keyword arguments for GObjects.

	Since it seems to be slightly recommended over 'new'.

	https://live.gnome.org/PyGObject/IntrospectionPorting

2012-07-24  Osmo Salomaa  <otsaloma@iki.fi>

	* tools/check-translations:
	* tools/generate-change-log:

	Use Python 3 string formatting.

2012-07-23  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* doc/sphinx/_ext/autoclean.py:

	Use Python 3 string formatting.

2012-07-21  Osmo Salomaa  <otsaloma@iki.fi>

	* README: Fix link to PyGObject.

2012-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* bin/nfoview: Mark file as UTF-8-encoded.

2012-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* INSTALL:
	* README:
	* TODO:
	* po/README:

	Be explicit about using python3.

2012-07-19  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/Makefile: Update sphinx-build binary name.

2012-07-19  Osmo Salomaa  <otsaloma@iki.fi>

	* po/POTFILES.in:
	* po/POTFILES.skip:

	Remove encoding declarations.

2012-07-16  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* data/preferences-dialog.ui:

	Migrate from Gtk.Table to Gtk.Grid.

2012-05-30  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO: Update TODO.

2012-04-15  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/window.py: Instantiate boxes in a not-yet-deprecated way.

2012-04-15  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/preferences.py:
	* nfoview/window.py:

	Use keyword arguments for clarity.

2012-04-09  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/builder.py: Avoid recursion if missing an attribute.

2012-04-09  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/_ext/autoclean.py:
	* doc/sphinx/autogen.py:
	* nfoview/__init__.py:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/deco.py:
	* nfoview/errors.py:
	* nfoview/i18n.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/__init__.py:
	* nfoview/test/test___init__.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_actions.py:
	* nfoview/test/test_builder.py:
	* nfoview/test/test_config.py:
	* nfoview/test/test_deco.py:
	* nfoview/test/test_errors.py:
	* nfoview/test/test_i18n.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_paths.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_schemes.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:
	* nfoview/test/test_window.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	* setup.py:
	* tools/check-translations:
	* tools/generate-change-log:

	Mark all Python files as being UTF-8.

2011-12-04  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/autogen.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/test/test_main.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/window.py:
	* setup.py:

	Simplify string formatting.

2011-11-13  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update RELEASING.

2011-11-13  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:

	RELEASE 1.10

2011-11-13  Osmo Salomaa  <otsaloma@iki.fi>

	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/he.po:
	* po/hu.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/tr.po:
	* po/zh_CN.po:

	Update translations for 1.10.

2011-10-22  Osmo Salomaa  <otsaloma@iki.fi>

	* README:
	* TODO:
	* nfoview/view.py:

	Acknowledge PyGI etc. migration as complete.

2011-10-22  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:

	Fix failing unit tests.

2011-10-22  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/util.py: Fix color parsing. (API change in Gtk?)

2011-09-21  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO: Update TODO.

2011-09-16  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO: Update TODO.

2011-09-10  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/sphinx/autogen.py:
	* nfoview/__init__.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/deco.py:
	* nfoview/errors.py:
	* nfoview/i18n.py:
	* nfoview/main.py:
	* nfoview/paths.py:
	* nfoview/schemes.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/window.py:

	Use a linebreak after triple quotes in docstrings.

2011-08-18  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/util.py: Use a trailing comma in font description.

2011-08-13  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* nfoview/view.py:

	Speed up inserting text to the view.

	Maintain a queue of words scanned for URLs and insert them in larger
	chunks instead of one word at a time as before. This should bring a
	noticeable speed up with even slightly larger than usual files.

2011-08-13  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* nfoview/window.py:

	Fix window drag and drop properties.

	https://bugzilla.gnome.org/show_bug.cgi?id=655650

2011-07-26  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* setup.py:

	Migrate setup.py to Python 3.

2011-07-26  Osmo Salomaa  <otsaloma@iki.fi>

	* .gitignore:
	* MANIFEST.in:

	Update file includes and ignores.

2011-07-26  Osmo Salomaa  <otsaloma@iki.fi>

	* README: Document bumped dependencies.

2011-07-26  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* doc/sphinx/Makefile:
	* doc/sphinx/_themes/corporate/static/pygments.css:
	* doc/sphinx/_themes/corporate/theme.conf:
	* doc/sphinx/autogen.py:
	* doc/sphinx/conf.py:

	Migrate API documentation generation to Python 3.

2011-07-23  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* nfoview/view.py:

	Fix custom colors for selected state.

2011-07-22  Osmo Salomaa  <otsaloma@iki.fi>

	* INSTALL:
	* README:
	* TODO:
	* nfoview/__init__.py:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/deco.py:
	* nfoview/errors.py:
	* nfoview/i18n.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/test___init__.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_actions.py:
	* nfoview/test/test_builder.py:
	* nfoview/test/test_config.py:
	* nfoview/test/test_deco.py:
	* nfoview/test/test_errors.py:
	* nfoview/test/test_i18n.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_paths.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_schemes.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:
	* nfoview/test/test_window.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	* po/README:
	* setup.py:

	Manually migrate to newer APIs.

	Fix issues not corrected automatically by 2to3 or pygi-convert so that
	at least all unit tests pass. Might still contain regressions, see at
	least parts marked with 'XXX'.

2011-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* tools/update-translations: Warn if missing files.

2011-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* tools/check-translations:
	* tools/generate-change-log:

	Fix tools for Python 3.

2011-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* data/icons/CREDITS:
	* data/icons/hicolor/16x16/apps/nfoview.png:
	* data/icons/hicolor/16x16/apps/nfoview.xcf:
	* data/icons/hicolor/22x22/apps/nfoview.png:
	* data/icons/hicolor/22x22/apps/nfoview.xcf:
	* data/icons/hicolor/24x24/apps/nfoview.png:
	* data/icons/hicolor/24x24/apps/nfoview.xcf:
	* data/icons/hicolor/256x256/apps/nfoview.png:
	* data/icons/hicolor/32x32/apps/nfoview.png:
	* data/icons/hicolor/32x32/apps/nfoview.xcf:
	* data/icons/hicolor/48x48/apps/nfoview.png:
	* data/icons/nfoview.svg:
	* data/icons/src/mag16.svg:
	* data/icons/src/mag22.svg:
	* data/icons/src/mag32.svg:
	* data/icons/src/nfoview.svg:

	Sligthly modify icons and add 48x48 and 256x256 sizes.

2011-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update to python3.

2011-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* data/preferences-dialog.ui: Remove deprecated property.

2011-07-20  Osmo Salomaa  <otsaloma@iki.fi>

	* bin/nfoview: Clean after automatic substitutions.

2011-07-16  Osmo Salomaa  <otsaloma@iki.fi>

	* bin/nfoview:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_builder.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_window.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:

	Do initial port to PyGI with pygi-convert.sh.

2011-07-16  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/about.py:
	* nfoview/config.py:
	* nfoview/test/test_config.py:
	* nfoview/util.py:
	* nfoview/window.py:
	* setup.py:
	* tools/check-translations:

	Do initial port to Python 3 with 2to3.

2011-07-06  Svetoslav Stefanov  <lfu.project@gmail.com>

	* TODO:
	* po/bg.po:

	Update Bulgarian translation.

2011-06-27  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update link to API documentation.

2011-05-30  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update RELEASING.

2011-05-30  Osmo Salomaa  <otsaloma@iki.fi>

	* setup.py: Remove pylint W0404 silencers.

2011-05-29  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update RELEASING.

2011-05-29  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:
	* setup.py:

	RELEASE 1.9.5

2011-05-29  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.9.5

2011-05-29  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING:
	* nfoview/__init__.py:

	Change import order to make slightly more sense.

2011-05-29  Osmo Salomaa  <otsaloma@iki.fi>

	* setup.py: Remove unnecessary imports.

2011-05-15  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update RELEASING.

2011-05-08  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO:
	* nfoview/window.py:

	Fix opening files by drag and drop.

	Never set the text view to insensitive so that it can always pass
	dropped files onwards to the window that opens them.

2011-04-15  Osmo Salomaa  <otsaloma@iki.fi>

	* po/README:
	* tools/check-translations:

	Update translation instructions.

2011-04-05  Osmo Salomaa  <otsaloma@iki.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/he.po:
	* po/hu.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/tr.po:
	* po/zh_CN.po:

	RELEASE 1.9.4

2011-04-04  Osmo Salomaa  <otsaloma@iki.fi>

	* TODO: Update TODO.

2011-04-04  Osmo Salomaa  <otsaloma@iki.fi>

	* nfoview/actions.py: Fix broken inheritance of action classes.

	Change inheritance order to primarily inherit from corresponding gtk
	classes and call __init__ of those classes to avoid bad instantiation
	of property containers (or whatever). Due to Python's method
	resolution order this should still not favor gtk.Action over
	nfoview's Action, avoiding which was probably the reason for the
	previous base class ordering.

2011-03-27  Osmo Salomaa  <otsaloma@iki.fi>

	* doc/RELEASING: Update RELEASING.

2011-03-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:
	* po/sr.po:
	* po/tr.po:

	RELEASE 1.9.3

2011-03-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README:
	* TODO:
	* po/README:

	Update links to web pages.

2011-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/nfoview:
	* nfoview/about.py:
	* nfoview/config.py:

	Use spaces around equals signs.

2011-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/README:

	Abandon Transifex and restore old translation instructions.

2011-03-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* AUTHORS:
	* TODO:
	* doc/nfoview.1:
	* nfoview/about.py:
	* po/README:
	* po/fi.po:
	* setup.py:

	Update author email address.

2010-12-11  Goran Velemirov  <psickloop@gmail.com>

	* TODO:
	* po/sr.po:

	Add Serbian translation.

2010-12-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING: Update RELEASING.

2010-10-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/tr.po:

	Add Turkish translation.

2010-10-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/fr.po:

	Update French translation.

2010-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/fi.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/ru.po:

	RELEASE 1.9.2

2010-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/test/test___init__.py:
	* nfoview/test/test_util.py:
	* nfoview/view.py:

	Update pylint disable directive to 'disable'.

2010-08-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/fi.po: l10n: Updated Finnish (fi) translation to 100%

	New status: 48 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (www.transifex.net).

2010-08-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/fi.po: l10n: Updated Finnish (fi) translation to 100%

	New status: 48 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (www.transifex.net).

2010-08-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README.transifex: Remove Transifex token.

2010-08-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README.transifex: Add Transifex token.

2010-08-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update TODO.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/check-translations: Change output style.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/check-translations: Add linenumbers.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/check-translations: Skip plural forms.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/fr.po:
	* po/hu.po:
	* po/it.po:

	Fix obvious errors in translation files.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* tools/check-translations:

	Add tools/check-translations.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/README:
	* po/README.transifex:

	Remove Transifex token.

2010-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/README.transifex: Add Transifex token.

2010-08-04  Алекс  <davian818@gmail.com>

	* TODO:
	* po/ru.po:

	Add Russian translation.

2010-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/fi.po: Update Finnish translation's metadata.

2010-06-28  Piotr Drąg  <piotrdrag@gmail.com>

	* TODO:
	* po/pl.po:

	Update Polish translation.

2010-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* doc/RELEASING:
	* nfoview/__init__.py:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/he.po:
	* po/hu.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/zh_CN.po:

	RELEASE 1.9.1

2010-06-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* nfoview/util.py:

	Use webbrowser.open for http URLs on Windows.

	gtk.show_uri (GTK+ 2.20) fails on Windows for http URLs with
	GError: No application is registered as handling this file.

2010-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* INSTALL:
	* po/README:

	Fix repository URL.

2010-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py: Update setup.py.

2010-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* setup.py:

	Update MANIFEST.in.

2010-05-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/window.py:

	Fix opening blank files.

	https://bugzilla.gnome.org/show_bug.cgi?id=619289

2010-05-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py: Fix setup.py.

2010-05-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py: Update setup.py.

2010-05-15  L. Csordas  <csola48@gmail.com>

	* TODO:
	* po/hu.po:

	Add Hungarian translation.

2010-05-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update TODO.

2010-04-26  Yaron Shahrabani  <sh.yaron@gmail.com>

	* TODO:
	* po/he.po:

	Add Hebrew translation.

2010-04-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* setup.py:

	Fix file inclusion for source tarballs.

2010-04-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/zh_CN.po:

	RELEASE 1.9

2010-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/deco.py:
	* nfoview/test/test_about.py:

	Simplify monkey-patching of superclass attributes.

2010-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/main.py: Remove glib.set_application_name and
	glib.set_prgname calls.

2010-03-21  Piotr Drąg  <piotrdrag@gmail.com>

	* TODO:
	* po/pl.po:

	Update Polish translation.

2010-03-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/POTFILES.in:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/pl.po:
	* po/zh_CN.po:

	Update all translation files.

	Forgot to update the POT file in an earlier commit where markup was
	removed from the GtkBuilder file and PO files.

2010-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/main.py:

	Use glib to set application and program name.

2010-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/preferences-dialog.ui:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/pl.po:
	* po/zh_CN.po:

	Use attributes instead of markup in GtkBuilder UI file.

2010-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/about.py:
	* nfoview/test/test_util.py:
	* nfoview/util.py:
	* nfoview/view.py:

	Use gtk.show_uri instead of nfoview.util.browse_url.

2010-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.ui: Relabel "Built-in schemes" to
	"Schemes".

2010-03-08  Christoph Wickert  <cwickert@fedoraproject.org>

	* TODO:
	* po/de.po:

	Update German translation.

2010-03-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update TODO.

2010-02-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/about.py: Update copyright years.

2010-02-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/_themes/corporate/static/pygments.css: Update Pygments
	theme.

2010-02-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* INSTALL: Update INSTALL.

2010-02-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/_themes/corporate/static/corporate.css_t: Merge Sphinx
	theme changes from gaupol.

2010-02-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/config.py:

	Update TODO.

2009-11-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/icons/hicolor/16x16/apps/nfoview.png:
	* data/icons/src/nfoview16.xcf:
	* tools/update-translations:

	Make the 16x16 px icon paper two pixels wider.

2009-10-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/_ext/autoclean.py: Discard private variables.

2009-10-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING: Fix command parameter.

2009-10-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in: Fix data directory inclusion.

2009-10-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.8

2009-10-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/icons/CREDITS:
	* data/icons/hicolor/16x16/apps/nfoview.png:
	* data/icons/hicolor/22x22/apps/nfoview.png:
	* data/icons/hicolor/24x24/apps/nfoview.png:
	* data/icons/hicolor/32x32/apps/nfoview.png:
	* data/icons/hicolor/scalable/apps/nfoview.svg:
	* data/icons/src/mag16.svg:
	* data/icons/src/mag22.svg:
	* data/icons/src/mag32.svg:
	* data/icons/src/nfoview.svg:
	* data/icons/src/nfoview16.xcf:
	* data/icons/src/nfoview22.xcf:
	* data/icons/src/nfoview32.xcf:
	* doc/sphinx/autogen.py:
	* doc/sphinx/conf.py:
	* po/README:

	Redraw icons.

2009-10-13  Piotr Dr g  <piotrdrag@gmail.com>

	* TODO:
	* po/pl.po:

	Add Polish translation.

2009-10-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fr.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/zh_CN.po:
	* tools/update-translations:

	Fix tools/update-translations to not add fuzzy messages.

	Run tools/update-translations to update all PO-files.

2009-10-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/conf.py:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/zh_CN.po:

	Revert PO-files to their unfuzzy state.

	Running intltool-update on all PO-files two commits back introduced
	some fuzzy messages, which was a mistake.

2009-10-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/RELEASING:
	* tools/update-translations:

	Rename po/update-all tools/update-translations.

2009-10-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/RELEASING:
	* po/bg.po:
	* po/de.po:
	* po/de_CH.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/nfoview.pot:
	* po/update-all:
	* po/zh_CN.po:

	Add script to update all translation files.

	Update all translation files with the new script. Added untranslated
	entries should allow statistics to be gathered on the percentage of
	translated messages on sites like transifex.net.

2009-10-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/window.py:

	Save and load GtkAccelMap rc-file.

2009-10-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* TODO:
	* bin/nfoview:
	* data/icons/CREDITS:
	* data/icons/hicolor/16x16/apps/nfoview.png:
	* data/icons/hicolor/22x22/apps/nfoview.png:
	* data/icons/hicolor/24x24/apps/nfoview.png:
	* data/icons/hicolor/32x32/apps/nfoview.png:
	* data/icons/hicolor/scalable/apps/nfoview.svg:
	* data/nfoview.desktop.in:
	* nfoview/about.py:
	* nfoview/test/test_util.py:
	* nfoview/window.py:
	* setup.py:

	Add proper application icon.

	Application icon is a copy (with minor modifications) of logviewer
	icon from gnome-icon-theme.

2009-10-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* doc/sphinx/_templates/module.rst.in:

	Change listing order for modules.

2009-09-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* nfoview/about.py:
	* po/fi.po:
	* po/nfoview.pot:
	* tools/generate-change-log:

	Add note for translators.

2009-09-27  elgeneralmidi  <ubuntufromscratch@gmail.com>

	* TODO:
	* po/fr.po:

	Add French translation.

2009-09-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* doc/RELEASING:
	* nfoview/__init__.py:

	RELEASE 1.7

2009-09-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/POTFILES.skip:
	* po/fi.po:
	* po/nfoview.pot:

	Add POTFILES.skip.

2009-09-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/RELEASING:
	* setup.py:

	Add setup.py command 'doc' to generate documentation.

2009-09-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/conf.py: Remove unused _static directory definition.

2009-09-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/window.py: Fix docstring.

2009-09-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in: Add sphinx documentation files to MANIFEST.in.

2009-09-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/conf.py:
	* nfoview/__init__.py:

	Get version number from nfoview.__version__.

2009-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/_themes/corporate/static/corporate.css_t:
	* doc/sphinx/_themes/corporate/theme.conf:

	Fix errors in Sphinx CSS.

2009-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/deco.py: Fix docstring.

2009-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/sphinx/_ext/autoclean.py: Fix lambda function arguments.

2009-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Update .gitignore.

2009-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* doc/sphinx/Makefile:
	* doc/sphinx/_ext/autoclean.py:
	* doc/sphinx/_templates/class.rst.in:
	* doc/sphinx/_templates/index.rst.in:
	* doc/sphinx/_templates/module.rst.in:
	* doc/sphinx/_templates/source.rst.in:
	* doc/sphinx/_themes/corporate/static/corporate.css_t:
	* doc/sphinx/_themes/corporate/static/pygments.css:
	* doc/sphinx/_themes/corporate/static/sidebar.png:
	* doc/sphinx/_themes/corporate/theme.conf:
	* doc/sphinx/autogen.py:
	* doc/sphinx/conf.py:
	* nfoview/__init__.py:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/config.py:
	* nfoview/deco.py:
	* nfoview/errors.py:
	* nfoview/i18n.py:
	* nfoview/main.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/test_config.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	* setup.py:

	Add scripts to autogenerate API documentation.

	Rewrite all docstrings in reStructuredText markup. Add script to
	autogenerate RST-files for Sphinx from docstrings, a Sphinx extension
	to clean up docstrings, templates for RST-documents, a Sphinx CSS
	theme and a Pygments CSS theme.

	Rename nfoview.conf module to nfoview.config to avoid a name clash
	with the module level variable nfoview.conf.

2009-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/deco.py:
	* nfoview/test/test_deco.py:

	Fix monkey_path unit test.

2009-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/deco.py:
	* nfoview/test/test_deco.py:
	* nfoview/test/test_paths.py:

	Handle case of new attributes.

2009-09-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml: Remove one separator from the Edit menu.

2009-09-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/preferences.py:
	* nfoview/test/test_util.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:

	Always use 'monospace' as fallback font.

2009-09-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/main.py:
	* nfoview/test/test_about.py:

	Remove leftover debug print statements.

2009-09-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/view.py:

	Allow all non-space characters in URLs.

2009-09-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/nfoview:
	* nfoview/view.py:

	Add tilde to URL regular expression.

2009-09-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README:
	* TODO:
	* nfoview/__init__.py:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/builder.py:
	* nfoview/conf.py:
	* nfoview/errors.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/test___init__.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_actions.py:
	* nfoview/test/test_builder.py:
	* nfoview/test/test_conf.py:
	* nfoview/test/test_errors.py:
	* nfoview/test/test_i18n.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_paths.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_schemes.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:
	* nfoview/test/test_window.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	* setup.py:

	Clean up code.

	 * Use monkey_patch decorator and improve unit tests
	 * Comform better to PEP 8
	 * Remove no-longer needed workarounds
	 * Define signal callbacks in gtk.Builder UI definition file

2009-09-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.ui: Regenerate with Glade 3.6.7.

2009-09-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/git2cl: Remove tools/git2cl.

2009-09-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/deco.py:
	* nfoview/test/test_deco.py:

	Add new module with monkey_patch decorator.

2009-09-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* data/preferences-dialog.glade:
	* tools/generate-change-log:

	Remove git2cl in favor of generate-change-log.

2009-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* nfoview/actions.py:
	* nfoview/conf.py:
	* nfoview/test/test_conf.py:
	* nfoview/test/test_window.py:
	* nfoview/window.py:
	* po/fi.po:
	* po/nfoview.pot:

	Add line-wrapping.

	Add new togglemenuitem 'Wrap Lines' to toggle wrapping between none
	and word wrap. When opening a file default to no wrapping.

	Add configuration file option 'text_view_max_chars' with a default
	value of 160. When opening a file, if a line longer than that is
	found, automatically switch to wrapping lines and default window width
	to 80 characters.

2009-08-18  Alessio Treglia  <quadrispro@ubuntu.com>

	* TODO:
	* po/it.po:

	Add Italian translation.

2009-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.6

2009-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/conf.py: Explicitly add text_view_max_lines attribute.

2009-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/view.py:

	Fix URL-detection to be more strict.

	Use a regular expression for URL-detection, which is more strict about
	what characters URLs can and should contain.

2009-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/conf.py:

	Change default value of text_view_max_lines to 45.

2009-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/conf.py: Actually raise the default value of
	'text_view_max_lines' to 50.

2009-06-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/conf.py:
	* nfoview/window.py:

	Add configuration option 'text_view_max_lines'.

	Allow the maximum window height to be set via a text view maximum line
	count. Raise the default value from 40 to 50 lines.

2009-06-10  Jonathan Ye  <hyqianli@gmail.com>

	* TODO:
	* doc/RELEASING:
	* po/zh_CN.po:

	Update Simplified Chinese translation.

2009-05-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.5

2009-05-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Fix detect encoding to return utf_8_sig instead of utf_8.

2009-05-07  Svetoslav Stefanov  <lfu.project@gmail.com>

	* TODO:
	* po/bg.po:

	Add Bulgarian translation.

2009-05-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/fi.po:
	* po/nfoview.pot:

	Update Finnish translation.

2009-05-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/window.py:

	Allow windows to be closed by pressing Escape.

2009-05-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/ui.xml:
	* nfoview/actions.py:
	* nfoview/window.py:

	Add a quit menu item to close all windows.

2009-04-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/de_CH.po:

	Add Swiss German translation (Fabian Affolter).

2009-04-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/de.po:

	Update German translation (Christoph Wickert).

2009-04-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.4

2009-04-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Fix detect_encoding to not return unavailable encodings.

	Add function is_valid_encoding and use that to check whether an
	encoding (especially utf32) is suppported and detect and return an
	encoding only if it is supported.

2009-04-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* setup.py:

	Abort installation if an intltool-merge or msgfmt call fails.

	Check the return values of all intltool-merge and msgfmt commands run
	with os.system. If the return value is not zero, abort installation
	with an error message.

2009-04-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/test/test_util.py:
	* nfoview/util.py:
	* nfoview/window.py:

	Handle files with UTF8, UTF16 and UTF32 BOMs.

	Add function nfoview.util.detect_encoding to detect byte order marked
	encodings. If a BOM-encoding is detected, use that to read the file,
	otherwise use the default encoding CP437.

2009-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* INSTALL:
	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.3.1

2009-03-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/builder.py:
	* nfoview/i18n.py:

	Fix gettext for GtkBuilder files.

	Call locale.bindtextdomain and locale.textdomain [1] to set the domain
	and directory for translations in such a manner that the information
	is available to the C GtkBuilder, which uses gettext directly [2].

	[1] http://bugzilla.gnome.org/show_bug.cgi?id=574520
	[2] http://docs.python.org/library/locale.html#access-to-message-catalogs

2009-03-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* README:
	* TODO:
	* nfoview/__init__.py:
	* po/README:
	* po/nfoview.pot:

	RELEASE 1.3

2009-03-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/view.py: Make pylint happy.

2009-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/fi.po:
	* po/nfoview.pot:

	Update nfoview.pot and fi.po.

2009-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* nfoview/builder.py:
	* nfoview/schemes.py:
	* nfoview/test/test_schemes.py:
	* nfoview/view.py:

	Add two low-contrast grey color schemes.

	Handle ValueError raised by nfoview.schemes.get_color_scheme.

2009-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.ui: Remove possibly unnecessary events-
	lines.

2009-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/builder.py: Add i18n workaround.

	Work around a bug that prevents strings in the GtkBuilder file from
	being translated even though calling gettext.gettext manually gives a
	translation. Loop through all objects with get_objects() and set
	labels and titles to what gettext.gettext returns.

2009-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/fi.po:
	* po/nfoview.pot:
	* setup.py:

	Update nfoview.pot and fi.po.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.glade:
	* data/preferences-dialog.ui:

	Fix preferences-dialog.ui.

	Fix list of action widgets incorrectly converted by
	gtk-builder-convert.

	Restore preferences-dialog.glade since Glade seems to write erroneous
	GtkBuilder files. If necessary, the glade file can be edited with
	Glade and then converted with gtk-builder-convert.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* setup.py:

	Update data files and dependencies.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/main.py:
	* nfoview/window.py:

	Minor changes.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/preferences.py: Subclass from nfoview.BuilderDialog.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/conf.py:
	* nfoview/open.py:
	* nfoview/preferences.py:
	* nfoview/view.py:
	* nfoview/window.py:

	Add missing docstrings.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/about.py: Use set_program_name instead of set_name.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/__init__.py:
	* nfoview/builder.py:
	* nfoview/test/test_builder.py:

	Add class nfoview/builder.py.

	Use new class nfoview.Builder as a base class for dialogs built with
	gtk.Builder.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README:
	* TODO:
	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Minor changes.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.ui:
	* doc/RELEASING:
	* nfoview/unittest.py:

	Minor changes.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/i18n.py: Remove glade i18n functions calls.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/paths.py: Do not delete functions.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po/POTFILES.in:
	* po/nfoview.pot:

	Replace glade file with GtkBuilder file.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README:
	* TODO:
	* tools/git2cl:

	Fix copyright notice.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in: Include *.ui.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Add *~ to ignored files.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.ui:
	* nfoview/preferences.py:

	Switch from Glade to gtk.Builder.

2009-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/nfoview: Always modify sys.path if running from source.

	Make sure the source directory is the first item in sys.path.

2009-02-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/about.py:
	* nfoview/conf.py:
	* nfoview/preferences.py:
	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Bump some copyright years to 2009.

2009-02-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* nfoview/open.py:

	Fix open dialog file filter.

	Fix open dialog file filter pattern to list files with upper- and
	mixed case extensions as well.

	Patch from Simon Morgan. Fixes #572877.

2009-02-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/preferences-dialog.glade:

	Set spin button page sizes to zero.

	Fixes GtkWarning: GtkSpinButton: setting an adjustment with non-zero
	page size is deprecated.

2009-02-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/conf.py:
	* nfoview/preferences.py:
	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Use six-character hexadecimal color codes.

	Add function nfoview.util.gdk_color_to_hex and use it instead of GDK
	color's built-in 12-character-returning to_string.

2009-02-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING: Add GNOME Bugzilla URL.

2009-01-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/git2cl: Fix ChangeLog output style.

	Handle commits with no changed files. Comment out printing the very
	first commit message, i.e. 'default layout'.

2008-12-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/nfoview.desktop.in:

	Remove deprecated Encoding field

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/git2cl: Fix indentation.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* setup.py:
	* tools/change-log:
	* tools/data/ChangeLog.old:
	* tools/git2cl:

	Modify git2cl output style.

	Change git2cl to use log messages originally copied verbatim from the
	ChangeLog file unmodified. Change the output style depending on
	whether there are changes to multiple files or only one. Fix wrapping
	issues and fill all paragraphs from the git log to 79 characters.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in: Add CREDITS.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* nfoview/__init__.py:
	* po/nfoview.pot:

	RELEASE 1.2.1

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in: Remove po/ChangeLog.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/__init__.py:
	* nfoview/actions.py:
	* nfoview/errors.py:
	* nfoview/test/test_errors.py:
	* nfoview/test/test_util.py:
	* nfoview/util.py:

	Remove misuse of assertions.

	Replace use of assertions in nfoview/actions.py with calls to new
	function nfoview.util.affirm, which raises nfoview.AffirmationError
	instead of AssertionError. This allows correct menu item sensitivity
	updates when used with Python's optimization switches.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* setup.py:

	Fix AssertionErrors writing paths.py.

	Change paths.py file string replacement assertions to accept
	replacements done already earlier, i.e. allow install to be run
	multiple time without cleaning in between. Fixes #12388.

2008-10-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/change-log: Fix  hash.

2008-10-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* MANIFEST.in:
	* TODO:
	* doc/RELEASING:
	* po/ChangeLog:
	* po/README:
	* setup.py:
	* tools/change-log:
	* tools/data/ChangeLog.old:
	* tools/git2cl:

	Deprecate ChangeLog in favor of git log.

	Move ChangeLog to tools/data/ChangeLog.old and use tools/change-log to
	generate a ChangeLog file for tarballs from ChangeLog.old and git log
	since after 1.2. Remove po/ChangeLog entirely.

2008-10-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Add .gitignore file.

2008-09-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.glade: Center on parent.

2008-09-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/preferences-dialog.glade: Center on parent.

2008-09-05  Jonathan Ye  <hyqianli@gmail.com>

	* zh_CN.po: Add Simplified Chinese translation.

2008-08-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/util.py (browse_url): Don't try to use 'start' on Windows.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README:
	* doc/RELEASING:
	* setup.py:

	Minor changes.

2008-05-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/__init__.py (__version__): Bump to 1.2.

	RELEASE 1.2

2008-05-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py (InstallLib.install): Make sure (assert) that the paths
	module string replacements are feasible.

2008-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/nfoview.xml.in: Remove.

	* setup.py: Remove all mimetype file handling.

2008-05-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/__init__.py (__version__): Bump to 1.1.2.

	RELEASE 1.1.2

2008-05-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py (get_version_number): New function to get version number by
	reading it from file. Replaces importing, which failed outside X.
	(Install.run): Run update-desktop-database.

2008-04-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/__init__.py (__version__): Bump to 1.1.1.

	RELEASE 1.1.1

2008-04-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/actions.py (SelectAllTextAction): Check if
	gtk.STOCK_SELECT_ALL is available. Fixes #11585.

2008-01-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/util.py (_command_exists -> is_command): Rename.

2008-01-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/conf.py:
	* nfoview/i18n.py:
	* nfoview/__init__.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_actions.py:
	* nfoview/test/test_conf.py:
	* nfoview/test/test_i18n.py:
	* nfoview/test/test___init__.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_paths.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_schemes.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:
	* nfoview/test/test_window.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	* po/fi.po:
	Fix all copyright notices that erroneously stated 2007 as the (latest)
	publication year, even though it obviously should be 2008 as per the
	commits made on 2008-01-07 and 2008-01-08.

2008-01-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview/__init__.py (__version__): Bump to 1.1.

	RELEASE 1.1

2008-01-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py (SDistGna.run): Replace Tarfile.extractall call as
	the method does not exist in Python 2.4.

2008-01-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* README: Update.

2008-01-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview:
	* nfoview/test:
	Set svn:ignore properties.

2008-01-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* nfoview:
	* nfoview/about.py:
	* nfoview/actions.py:
	* nfoview/conf.py:
	* nfoview/i18n.py:
	* nfoview/__init__.py:
	* nfoview/main.py:
	* nfoview/open.py:
	* nfoview/paths.py:
	* nfoview/preferences.py:
	* nfoview/schemes.py:
	* nfoview/test:
	* nfoview/test/__init__.py:
	* nfoview/test/test_about.py:
	* nfoview/test/test_actions.py:
	* nfoview/test/test_conf.py:
	* nfoview/test/test_i18n.py:
	* nfoview/test/test___init__.py:
	* nfoview/test/test_main.py:
	* nfoview/test/test_open.py:
	* nfoview/test/test_paths.py:
	* nfoview/test/test_preferences.py:
	* nfoview/test/test_schemes.py:
	* nfoview/test/test_util.py:
	* nfoview/test/test_view.py:
	* nfoview/test/test_window.py:
	* nfoview/unittest.py:
	* nfoview/util.py:
	* nfoview/view.py:
	* nfoview/window.py:
	Add Python source code files.

2008-01-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* po:
	* po/ChangeLog:
	* po/de.po:
	* po/fi.po:
	* po/nfoview.pot:
	* po/POTFILES.in:
	* po/README:
	Add gettext files.

2008-01-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/nfoview:
	* data/nfoview.desktop.in:
	* data/nfoview.xml.in:
	* data/preferences-dialog.glade:
	* data/ui.xml:
	* doc/nfoview.1:
	* doc/RELEASING:
	* INSTALL:
	* MANIFEST.in:
	* NEWS:
	* po:
	* README:
	* setup.py:
	* TODO:
	Refactor code into multiple files.
	Redesign the user interface.
	Use gettext for translations.

2007-10-06  Bernd Mueller  <ragnar76@googlemail.com>

	* nfoview.desktop:
	* nfoview.xml:
	Add German (de) translations.

2007-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	Initial import to version control.

